darcs

Issue 2404 darcs convert export ignores --repodir

Title darcs convert export ignores --repodir
Priority urgent Status resolved
Milestone Resolved in 2.15.0
Superseder Nosy List nomeata
Assigned To
Topics

Created on 2014-07-14.09:49:54 by nomeata, last changed 2020-07-19.01:55:48 by noreply.

Messages
msg17596 (view) Author: nomeata Date: 2014-07-14.09:49:53
Hi,

as the subject says: "darcs convert export" ignores --repodir, and
always looks in the current directory.

Greetings,
Joachim

-- 
Joachim “nomeata” Breitner
  mail@joachim-breitner.dehttp://www.joachim-breitner.de/
  Jabber: nomeata@joachim-breitner.de  • GPG-Key: 0xF0FBF51F
  Debian Developer: nomeata@debian.org
msg22086 (view) Author: bf Date: 2020-06-21.07:34:21
The handling of --repo/--repodir is still rather messy.

In this case we use D.UI.Flags.getRepourl which returns Just only
if it is not a valid local path.
msg22186 (view) Author: noreply Date: 2020-07-19.01:55:44
The following patch sent by Ben Franksen <ben.franksen@online.de> updated issue issue2404 with
status=resolved;resolvedin=2.15.0 HEAD

* resolve issue2404: darcs convert export ignores --repodir 
Ignore-this: aebb7a36221c9dbd9d613adab4c9a4f5e30d75e9b8aeba02910d0b140492677c8bb1ea2e6dd63ca1

Calling getRepourl makes sense only if we actually allow the command to
operate on a remote repo (which this command never did). Furthermore, the
option was wrong: O.reponame is for cases where you create a new repo.
Instead O.repoDir must be used.
History
Date User Action Args
2014-07-14 09:49:54nomeatacreate
2020-06-21 07:34:24bfsetpriority: urgent
messages: + msg22086
2020-07-19 01:55:48noreplysetstatus: unknown -> resolved
messages: + msg22186
resolvedin: 2.15.0